--- old/usr/src/uts/common/avs/ns/nsctl/nsc_cache.c	sam. juil. 16 15:13:29 2016
+++ new/usr/src/uts/common/avs/ns/nsctl/nsc_cache.c	sam. juil. 16 15:13:29 2016
@@ -43,22 +43,22 @@
 
 
 nsc_def_t _nsc_cache_def[] = {
-	"AllocBuf",	(uintptr_t)nsc_ioerr,	_I(alloc_buf),
-	"FreeBuf",	(uintptr_t)nsc_fatal,	_I(free_buf),
-	"Read",		(uintptr_t)nsc_fatal,	_I(read),
-	"Write",	(uintptr_t)nsc_fatal,	_I(write),
-	"Zero",		(uintptr_t)nsc_fatal,	_I(zero),
-	"Copy",		(uintptr_t)nsc_ioerr,	_I(copy),
-	"CopyDirect",	(uintptr_t)nsc_ioerr,	_I(copy_direct),
-	"Uncommit",	(uintptr_t)nsc_null,	_I(uncommit),
-	"AllocHandle",	(uintptr_t)nsc_null,	_I(alloc_h),
-	"FreeHandle",	(uintptr_t)nsc_fatal,	_I(free_h),
-	"TrackSize",	(uintptr_t)nsc_null,	_I(trksize),
-	"Discard",	(uintptr_t)nsc_null,	_I(discard),
-	"Sizes",	(uintptr_t)nsc_null,	_I(sizes),
-	"GetPinned",	(uintptr_t)nsc_null,	_I(getpin),
-	"NodeHints",	(uintptr_t)nsc_inval,	_I(nodehints),
-	0,		0,		0
+	{ "AllocBuf",	(uintptr_t)nsc_ioerr,	_I(alloc_buf) },
+	{ "FreeBuf",	(uintptr_t)nsc_fatal,	_I(free_buf) },
+	{ "Read",	(uintptr_t)nsc_fatal,	_I(read) },
+	{ "Write",	(uintptr_t)nsc_fatal,	_I(write) },
+	{ "Zero",	(uintptr_t)nsc_fatal,	_I(zero) },
+	{ "Copy",	(uintptr_t)nsc_ioerr,	_I(copy) },
+	{ "CopyDirect",	(uintptr_t)nsc_ioerr,	_I(copy_direct) },
+	{ "Uncommit",	(uintptr_t)nsc_null,	_I(uncommit) },
+	{ "AllocHandle", (uintptr_t)nsc_null,	_I(alloc_h) },
+	{ "FreeHandle",	(uintptr_t)nsc_fatal,	_I(free_h) },
+	{ "TrackSize",	(uintptr_t)nsc_null,	_I(trksize) },
+	{ "Discard",	(uintptr_t)nsc_null,	_I(discard) },
+	{ "Sizes",	(uintptr_t)nsc_null,	_I(sizes) },
+	{ "GetPinned",	(uintptr_t)nsc_null,	_I(getpin) },
+	{ "NodeHints",	(uintptr_t)nsc_inval,	_I(nodehints) },
+	{ NULL,		(uintptr_t)NULL,	0 }
 };
 
 
